> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List SIP trunks

> List the SIP trunks for your domain (paginated).



## OpenAPI

````yaml GET /sip-trunk
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /sip-trunk:
    get:
      tags:
        - dialin
      summary: /sip-trunk
      description: List the SIP trunks for your domain (paginated).
      operationId: ListSipTrunks
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            format: int32
          description: Max results (1-100, default 20).
        - name: starting_after
          in: query
          required: false
          schema:
            type: string
        - name: ending_before
          in: query
          required: false
          schema:
            type: string
        - name: trunk_name
          in: query
          required: false
          schema:
            type: string
          description: Substring match.
        - name: description
          in: query
          required: false
          schema:
            type: string
          description: Substring match.
        - name: enabled
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: A page of SIP trunks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        description:
                          type: string
                        trunk_name:
                          type: string
                        sip_uri:
                          type: string
                        enabled:
                          type: boolean
                        config:
                          type: object
                          additionalProperties: true
        '400':
          $ref: '#/components/responses/400'
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````